import {sign, verify} from "jsonwebtoken";

/**
 * Verify a JWT and return the decoded payload.
 */

const secret: string = process.env.JWT_SECRET! || "bnghsjhsd";
const expiresIn: string = process.env.JWT_EXPIRES! || "1h";

export function verifyToken(token: string): {userId: number} {
    try {
        const payload = verify(token, secret) as {userId: number};
        return payload;
    } catch (err) {
        throw new Error("Invalid token");
    }
}
